#ifndef OE_UI_STITCHLIST_H
#define OE_UI_STITCHLIST_H

#include "main.h"
#include "mainwindow.h"
#include <QListView>
#include "listviewdelegate.h"

class MainWindow;

class OE_ui_stitchList : public QListView
{
	Q_OBJECT
public:
	OE_ui_stitchList(MainWindow* window, OE_root* root);
    //void getItems();
    void addStitch(OE_stitchs* stitch);
    void refreshStitches();
private:
	OE_root* root;
	MainWindow* window;
	QStandardItemModel* model;
	ListviewDelegate* listdelegate;
	void addItem(QColor color, QIcon icon, QIcon type, QIcon pattern, int stitchCount);
	void addItem(QColor color, int stitchCount);
private slots:
	void on_refreshStitchList();
    void on_refreshStitch(OE_stitchs* stitch);
};

#endif // OE_UI_STITCHLIST_H
